import * as React from 'react';
import { type VariantProps } from 'class-variance-authority';
import { badgeVariants } from '../../lib/design-variants';
declare function Badge({ className, variant, asChild, ...props }: React.ComponentProps<'span'> & VariantProps<typeof badgeVariants> & {
    asChild?: boolean;
}): import("react/jsx-runtime").JSX.Element;
export { Badge };
